{"openapi":"3.0.4","info":{"title":"Update a schedule.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/scheduler2"}],"paths":{"/api/schedules/{scope}/{code}":{"put":{"tags":["Schedules"],"summary":"Update a schedule.","operationId":"UpdateSchedule","parameters":[{"name":"scope","in":"path","description":"Scope of the schedule to be updated","required":true,"schema":{"type":"string"}},{"name":"code","in":"path","description":"Code of the schedule to be updated","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The updated schedule","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/UpdateScheduleRequest"},"example":{"jobId":{"scope":"JobScope","code":"JobCode"},"name":"UpdatedSchedule","description":"Updated description","author":"Updated author","owner":"Updated owner","arguments":{"UpdatedArgument":"Updated value"},"trigger":{"timeTrigger":{"expression":"0 0 5 ? * 3","timeZone":"UTC"}},"enabled":true,"useAsAuth":"ScheduleAuthUserId"}},"application/json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/UpdateScheduleRequest"},"example":{"jobId":{"scope":"JobScope","code":"JobCode"},"name":"UpdatedSchedule","description":"Updated description","author":"Updated author","owner":"Updated owner","arguments":{"UpdatedArgument":"Updated value"},"trigger":{"timeTrigger":{"expression":"0 0 5 ? * 3","timeZone":"UTC"}},"enabled":true,"useAsAuth":"ScheduleAuthUserId"}},"text/json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/UpdateScheduleRequest"},"example":{"jobId":{"scope":"JobScope","code":"JobCode"},"name":"UpdatedSchedule","description":"Updated description","author":"Updated author","owner":"Updated owner","arguments":{"UpdatedArgument":"Updated value"},"trigger":{"timeTrigger":{"expression":"0 0 5 ? * 3","timeZone":"UTC"}},"enabled":true,"useAsAuth":"ScheduleAuthUserId"}},"application/*+json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/UpdateScheduleRequest"},"example":{"jobId":{"scope":"JobScope","code":"JobCode"},"name":"UpdatedSchedule","description":"Updated description","author":"Updated author","owner":"Updated owner","arguments":{"UpdatedArgument":"Updated value"},"trigger":{"timeTrigger":{"expression":"0 0 5 ? * 3","timeZone":"UTC"}},"enabled":true,"useAsAuth":"ScheduleAuthUserId"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/ScheduleDefinition"},"example":{"scheduleIdentifier":{"scope":"ScheduleScope","code":"ScheduleCode"},"jobId":{"scope":"JobScope","code":"JobCode"},"name":"Schedule name","description":"Schedule description","author":"Schedule author","owner":"Schedule owner","useAsAuth":"Schedule auth userId","arguments":{"Argument":"Argument value"},"trigger":{"timeTrigger":{"expression":"0 0 5 ? * 3","timeZone":"UTC"}},"enabled":true}},"text/plain":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/ScheduleDefinition"},"example":{"scheduleIdentifier":{"scope":"ScheduleScope","code":"ScheduleCode"},"jobId":{"scope":"JobScope","code":"JobCode"},"name":"Schedule name","description":"Schedule description","author":"Schedule author","owner":"Schedule owner","useAsAuth":"Schedule auth userId","arguments":{"Argument":"Argument value"},"trigger":{"timeTrigger":{"expression":"0 0 5 ? * 3","timeZone":"UTC"}},"enabled":true}},"text/json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/ScheduleDefinition"},"example":{"scheduleIdentifier":{"scope":"ScheduleScope","code":"ScheduleCode"},"jobId":{"scope":"JobScope","code":"JobCode"},"name":"Schedule name","description":"Schedule description","author":"Schedule author","owner":"Schedule owner","useAsAuth":"Schedule auth userId","arguments":{"Argument":"Argument value"},"trigger":{"timeTrigger":{"expression":"0 0 5 ? * 3","timeZone":"UTC"}},"enabled":true}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}